Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1808009 - mozjs52 requires Python 2 to build
Summary: mozjs52 requires Python 2 to build
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mozjs52
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: BRPY27
TreeView+ depends on / blocked
 
Reported: 2020-02-27 16:13 UTC by Petr Viktorin
Modified: 2020-10-02 20:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-02 20:22:02 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Petr Viktorin 2020-02-27 16:13:48 UTC
Python 2 reached upstream end-of-life in January 2020. In Fedora Rawhide, it's now provided from the compat package `python27`.
Packages that only use Python 2 at build time, like mozjs52, had a general exception to keep using it in Fedora 31. Now, the dependency should be removed.

I guess this compat package could get an exception, similarly to mozjs60 and mozjs68:
https://pagure.io/fesco/issue/2249
https://pagure.io/fesco/issue/2264

But I don't know the package, so I'm asking you, the maintainers, to provide details on what needs mozjs52 and what the plans for it are in Fedora.

Comment 1 leigh scott 2020-02-27 16:32:44 UTC
(In reply to Petr Viktorin from comment #0)
> Python 2 reached upstream end-of-life in January 2020. In Fedora Rawhide,
> it's now provided from the compat package `python27`.
> Packages that only use Python 2 at build time, like mozjs52, had a general
> exception to keep using it in Fedora 31. Now, the dependency should be
> removed.
> 
> I guess this compat package could get an exception, similarly to mozjs60 and
> mozjs68:
> https://pagure.io/fesco/issue/2249
> https://pagure.io/fesco/issue/2264
> 
> But I don't know the package, so I'm asking you, the maintainers, to provide
> details on what needs mozjs52 and what the plans for it are in Fedora.

I need mozjs52 for cjs which is a requirement for cinnamon DE.

Ticket filed
https://pagure.io/fesco/issue/2347

Comment 2 Ben Cotton 2020-08-11 13:11:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 3 Petr Viktorin 2020-10-02 20:22:02 UTC
Package was retired.


Note You need to log in before you can comment on or make changes to this bug.